<?php
namespace SabaiApps\Directories\Component\Membership\NotificationEvent;

use SabaiApps\Directories\Component\Payment\NotificationEvent\PlanExpiredNotificationEvent as PlanExpiredNotificationEventBase;

class PlanExpiredNotificationEvent extends PlanExpiredNotificationEventBase {

	protected function _notificationEntityEventInfo() {
		$info            = parent::_notificationEntityEventInfo();
		$info['label']   = _x( 'Membership plan expired', 'notification event', 'directories-pro' );
		$info['weight'] += 10;
		return $info;
	}

	protected function _getDefaultNotificationLabel() {
		return __( 'Your membership plan has expired', 'directories-pro' );
	}

	protected function _getDefaultNotificationBody() {
		return array(
			sprintf( __( 'Your membership plan has expired on %s.', 'directories-pro' ), '%payment_expire_on%' ),
			__( 'You can renew your membership from the dashboard page on our site.', 'directories-pro' ) . PHP_EOL . '%dashboard_url%',
		);
	}

	protected function _getDefaultNotificationRecipients() {
		return array(
			'event' => array( 'user' ),
		);
	}
}
